Appointments+ Error upon installing, cannot activate

How can I fix this? I tried activating from the default wordpress plugins tab and it created an error - Parse error: syntax error, unexpected T_PAAMAYIM_NEKUDOTAYIM in /home7/cruised0/public_html/shuttle/wp-content/plugins/appointments/appointments.php on line 4599

Same thing happened when I tried to activate it from the WPMU DEV dashboard. Also Tried activating the plugin from the WPMU DEV Plugin tab and it showed a red bar with "message" at the top. Please help me fix this. Thanks in advance.